(0) exportieren Drucken
Alle erweitern
Dieser Artikel wurde maschinell übersetzt. Bewegen Sie den Mauszeiger über die Sätze im Artikel, um den Originaltext anzuzeigen. Weitere Informationen
Übersetzung
Original
1 von 1 fanden dies hilfreich - Dieses Thema bewerten.

throw (C#-Referenz)

Mit der throw-Anweisung wird das Auftreten einer außergewöhnlichen Situation oder Ausnahme während der Programmausführung signalisiert.

Die ausgelöste Ausnahme ist ein Objekt, dessen Klasse von System.Exception abgeleitet wird, wie im folgenden Beispiel gezeigt.

class MyException : System.Exception {}
// ...
throw new MyException();

Normalerweise wird die throw-Anweisung mit try-catch-Anweisungen oder try-finally-Anweisungen verwendet. Weitere Informationen und Beispiele finden Sie unter try-catch (C#-Referenz) und Gewusst wie: Explizites Auslösen von Ausnahmen.

In diesem Beispiel wird demonstriert, wie mit der throw-Anweisung eine Ausnahme ausgelöst werden kann.


    public class ThrowTest2
    {

        static int GetNumber(int index)
        {
            int[] nums = { 300, 600, 900 };
            if (index > nums.Length)
            {
                throw new IndexOutOfRangeException();
            }
            return nums[index];

        }
        static void Main() 
        {
            int result = GetNumber(3);

        }
    }
    /*
        Output:
        The System.IndexOutOfRangeException exception occurs.
    */



Weitere Informationen finden Sie in den Beispielen in try-catch (C#-Referenz) und Gewusst wie: Explizites Auslösen von Ausnahmen.

Weitere Informationen finden Sie in der C#-Sprachspezifikation. Die Sprachspezifikation ist die verbindliche Quelle für die Syntax und Verwendung von C#.

Fanden Sie dies hilfreich?
(1500 verbleibende Zeichen)
Vielen Dank für Ihr Feedback.

Community-Beiträge

HINZUFÜGEN
Anzeigen:
© 2014 Microsoft. Alle Rechte vorbehalten.